<!DOCTYPE html>
<html>
<head>
  <title>Dragons!</title>
  <script src="https://unpkg.com/vue"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.js"></script>
  <script src="https://code.jquery.com/jquery-3.6.0.slim.js" integrity="sha256-HwWONEZrpuoh951cQD1ov2HUK5zA5DwJ1DNUXaM6FsY=" crossorigin="anonymous"></script>
  <link href="./styles.css" rel="stylesheet">
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Nothing+You+Could+Do&family=Raleway:wght@200;400;500;600&display=swap" rel="stylesheet">
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css" rel="stylesheet">
</head>
<body>
  <div class="app">
    <img class="app__logo" src="./assets/logo.png" alt="logo">
    <div v-bind:class="{'is-succeeded': gameLoaded}" class="app__container">
        <div class="app__section app__section--intro">
            <div class="app__action app__action--centered">
                <button type="button" v-on:click="startGame" class="button button--large">Start your adventure!</button>
            </div>
        </div>
        <div class="app__section app__section--main">
            <div class="app__action-list">
              <button type="button" class="button button--secondary" v-on:click="getStatus"><i class="fas fa-home"></i>Status</button>
              <button type="button" class="button button--secondary" v-on:click="getMissions"><i class="fas fa-scroll"></i>Missions</button>
              <button type="button" class="button button--secondary" v-on:click="getStore"><i class="fas fa-store"></i>Store</button>
            </div>
            <div class="app__status is-hidden">
              <h3 class="h3">Here you can see data related to your game</h3>
              <hr>
              <h4 class="h4">Player data</h4>
              <p><b>Current health: </b><span class="player-health">3</span></p>
              <p><b>Current coins: </b><span class="player-coins">0</span></p>
              <p><b>Current score: </b><span class="player-score">0</span></p>
              <hr>
              <h4 class="h4">Player reputation data</h4>
              <p><b>Reputation with the people: </b>{{ reputation.people }}</p>
              <p><b>Reputation in the state: </b>{{ reputation.state }}</p>
              <p><b>Reputation in the underworld: </b>{{ reputation.underworld }}</p>
              <p><b></b></p>
            </div>
            <div class="app__missions is-hidden">
              <div class="app__missions-description">
                <h3 class="h3 text-centered">Days passed: <span class="mission-turns">0</span></h3>
                <h4 class="h4">Here you can go on missions. <br> You can try each mission only once, regardless of the outcome. <br>Missions can only be renewed upon revisiting the mission board once you have exhausted all your turns (every 7 days).</h4>
              </div>
              <mission
                v-for="mission in missions"
                v-bind:mission="mission"
                v-bind:key="mission.adId"
            ></mission>
            </div>
            <div class="app__store is-hidden">
              <store-item
                v-for="item in store"
                v-bind:item="item"
                v-bind:key="item.id"
            ></store-item>
            </div>
        </div>
        <span id="game-id">{{ formattedGameId }}</span>
    </div>
  </div>

  <script src='./script.js'></script>
</body>
</html>
